Page MenuHomePhabricator

Create a sticky footer with access to language switcher
Closed, DuplicatePublic

Description

As a user I want an easy way to access watch and read in another language from anywhere on the page
Acceptance Criteria

  • Footer is always visible
  • Looks like Nirzar's prototype (http://nirzar.github.io/prototypes/mobile-web/sticky/index.html)
  • Toasts will appear above the sticky footer with 20 px margin (above on y axis, not z axis)
  • Watch icon will not be moved to footer at first and will remain below 1st edit icon
  • Drawers should cover sticky footer when they appear
  • Browser tests cover the UI functionality
  • Sticky bar doesn't cover any other underlying UI at the bottom page
  • We should have eventlogging with the same metrics like the current button (no changes)

Notes

Check which devices don't behave properly with position: fixed and blacklist the fixed bar for those.

Old designs

Design

Prototype
Phone http://invis.io/322TQU8PA

Event Timeline

KHammerstein raised the priority of this task from to Needs Triage.
KHammerstein updated the task description. (Show Details)
KHammerstein added a subscriber: KHammerstein.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2015, 1:12 AM
KHammerstein set Security to None.
KHammerstein renamed this task from Create a sticky footer with access to watch, Read in another language, Table of Contents to Create a sticky footer with access to watch and Read in another language.Apr 29 2015, 8:31 PM
KHammerstein updated the task description. (Show Details)
KHammerstein updated the task description. (Show Details)
KHammerstein renamed this task from Create a sticky footer with access to watch and Read in another language to Create a sticky footer with access to Watch, Language and Contents.May 13 2015, 9:20 PM
Jhernandez triaged this task as Normal priority.Aug 18 2015, 5:44 PM
Jhernandez added a subscriber: Jhernandez.
Jdlrobson moved this task from Backlog to Discussing on the MobileFrontend board.Nov 4 2015, 5:22 PM
Jhernandez updated the task description. (Show Details)Jan 12 2016, 5:47 PM
Jdlrobson added subscribers: Nirzar, Jdlrobson.EditedJan 12 2016, 6:13 PM

@Nirzar we've repurposed this card - could you let us know which design you want us to go with?

Jhernandez renamed this task from Create a sticky footer with access to Watch, Language and Contents to Create a sticky footer with access to language switcher.Jan 12 2016, 6:14 PM
Jhernandez updated the task description. (Show Details)
Jhernandez updated the task description. (Show Details)Jan 12 2016, 6:20 PM
Jhernandez updated the task description. (Show Details)
Jhernandez updated the task description. (Show Details)Jan 12 2016, 6:22 PM
Jhernandez updated the task description. (Show Details)Jan 12 2016, 6:26 PM
Jhernandez added a project: Mobile-Web-Design.